package org.jax.helloworld;

import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

public class MyWorbenchWindowAdvisor extends WorkbenchWindowAdvisor {

	public MyWorbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
	}
	
	public void preWindowOpen() {
		super.preWindowOpen();
		getWindowConfigurer().setInitialSize(new Point(600, 400));
		getWindowConfigurer().setShowCoolBar(false);
		getWindowConfigurer().setShowStatusLine(false);
	}
	
	
	public ActionBarAdvisor createActionBarAdvisor(IActionBarConfigurer configurer) {
		return new MyActionBarAdvisor(configurer);
	}
	
	

}
